Requires read_assigned_fulfillment_orders access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20261201/fulfillments/:order_id/:fulfillment_id/events/search.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Path Parameters
  • fulfillment_id string required
    Invoice id
    Example: 22060720884441337538627925
  • order_id string required
    Order id
    Example: 21056024607602932623437925
Query Parameters
  • event_id string
    Event id
    Example: 4206234611998187371524
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • fulfillment_eventsobject[]
    Event list
  • country string
    Country
    Example: Canada
  • update_at string
    Update time ( format see ISO 8601 )
    Example: 2021-08-16T08:27:57+00:00
  • latitude string
    Latitude
    Example: 23.32947
  • province string
    Province
    Example: Ontario
  • zip string
    Postal code
    Example: A1B 2C3
  • city string
    City
    Example: Ottawa
  • address string
    Address
    Example: 126 York Street
  • shop_id string
    store ID
    Example: 1232244
  • status string
    Status ,Includes : label_printed、label_purchased、attempted_delivery、ready_for_pickup、picked_up、confirmed、in_transit、out_for_delivery、delivered、failure
    Example: label_printed
  • order_id string
    Order id
    Example: 21056024607602932623437925
  • message string
    Notes
    Example: nothing
  • id string
    Event id
    Example: 4206234611998187371524
  • fulfillment_id string
    fulfillment id
    Example: 22060720884441337538627925
  • longitude string
    Longitude
    Example: 113.301255
  • create_at string
    Create time ( format see ISO 8601 )
    Example: 2021-08-16T08:27:57+00:00
  • estimated_delivery_at string
    Estimated delivery time ( format see ISO 8601 )
    Example: 2021-08-16T08:27:57+00:00
  • happened_at string
    Event duration ( format see ISO 8601 )
    Example: 2021-08-16T08:27:57+00:00
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

path required
path required
header required
query

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/fulfillments/order_id/fulfillment_id/events/search.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Was this article helpful to you?